from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XNumericalDataSequence(XInterface, Protocol):
    def getNumericalData(self) -> list[float]: ...
